<template>
	<div>
		<v-parallax :src="require(`@/assets/${image}`)" class="white--text">
			<v-container fill-height fluid class="image">
				<v-layout fill-height>
					<v-flex align-end flexbox xs12>
						<h1>{{ $t(title, titleExtraValues) }}</h1>
						<h2 v-html="$t(message)" />
					</v-flex>
				</v-layout>
			</v-container>
		</v-parallax>
	</div>
</template>

<script>
export default {
	props: {
		title: String,
		titleExtraValues: Object,
		message: String,
		image: String,
	},
};
</script>

<style lang="scss" scoped>
.image {
	background-color: #000;
	opacity: 0.5;
}
h1 {
	font-size: 4em;
}
h2 {
	font-size: 2em;
	font-weight: 300;
}
</style>
